Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.function
Class FloorFunction

    java.lang.Object
      org.jaxen.function.FloorFunction

All Implemented Interfaces:
  Function

public class FloorFunction
extends Object
implements Function

4.4 `number floor(number)`

> The floor function returns the largest (closest to positive infinity) number that is not greater than the argument and that is an integer.... If the argument is NaN, then NaN is returned. If the argument is positive infinity, then positive infinity is returned. If the argument is negative infinity, then negative infinity is returned. If the argument is positive zero, then positive zero is returned. If the argument is negative zero, then negative zero is returned. If the argument is greater than zero, but less than 1, then positive zero is returned.

Author:
  bob mcwhirter (bob @ werken.com)
See Also:
  Section 4.4 of the XPath Specification, XPath Errata

Constructor Summary
`FloorFunction()` Create a new `FloorFunction` object.

Method Summary
`Object` | `call(Context context, List args)` Returns the largest integer less than or equal to a number.
`static Double` | `evaluate(Object obj, Navigator nav)` Returns the largest integer less than or equal to the argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloorFunction

    public FloorFunction()

  Create a new `FloorFunction` object.

Method Detail

### call

    public Object call(Context context,
                       List args)
                throws FunctionCallException

  Returns the largest integer less than or equal to a number.

  Specified by:
    `call` in interface `Function`
  Parameters:
    `context` - the context at the point in the expression when the function is called
    `args` - a list with exactly one item which will be converted to a `Double` as if by the XPath `number()` function
  Returns:
    a `Double` containing the largest integer less than or equal to `args.get(0)`
  Throws:
    `FunctionCallException` - if `args` has more or less than one item

### evaluate

    public static Double evaluate(Object obj,
                                  Navigator nav)

  Returns the largest integer less than or equal to the argument. If necessary, the argument is first converted to a `Double` as if by the XPath `number()` function.

  Parameters:
    `obj` - the object whose floor is returned
    `nav` - ignored
  Returns:
    a `Double` containing the largest integer less than or equal to `obj`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.